# GUI Options

### Options for GUI Configuration:

#### Applicable to All Menus:

* `slot` (required) - **The slot of the item**
* `item` (required) - **The material of the item**
* `title` (required) - **The name of the item**
* `description` (required) - **The lore of the item**
* `amount` (optional) - **The amount of the item**
* `custommodeldata` (optional) - **The model data of the item**
* `skull_texture` (optional) - **The texture of the skull item (the item type must be PLAYER\_HEAD)**
* `skull_owner` (optional) - **The owner of the skull item (the item type must be PLAYER\_HEAD)**
* `required_permission` (optional) - **The required permission to execute the item's click commands**
* `blacklisted_permission` (optional) - **The blacklisted permission to prevent executing the item's click commands**
* `commands` (optional) - **The commands executed when the player clicks the item (if the item has a price, the commands will only be executed if the player has enough credit to purchase it)**

#### Applicable Only to Category Menus:

* `price` (required) - **The price of the item (this amount is automatically deducted when a player buys the product)**
* `confirm` (optional) - **If item purchase requires confirmation, set this option to true**
* `stock` (optional) - **The stock of the product**

### GUI Commands

* `[COMMAND]` (all GUI) - **Executes a command as the console**
* `[PLAYER]` (all GUI) - **Executes a command as the player**
* `[MESSAGE]` (all GUI) - **Sends a message to the player**
* `[SOUND]` (all GUI) - **Plays a sound for the player**
* `[OPEN-GUI]` (all GUI) - **Opens a GUI for the player**
* `[CLOSE]` (all GUI) - **Closes the GUI for the player**
* `[BACK]` (confirm GUI) - **Returns to the previous category where the confirmation menu was triggered**
* `[CONFIRM-COMMANDS]` (confirm GUI) - **Executes the original product commands**
* `[CONFIRM-RESETALL]` (reset-all-confirm GUI) - **Resets all of the player's credit balance**

### GUI Placeholders

* `PlaceholderAPI placeholders` - **The GUI supports PlaceholderAPI placeholders**
* `%price%` - **Displays the price of the product**
* `%stock%` - **Displays the stock of the product**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mongenscave.com/premium-products/credits/feature-help/gui-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
